<?php

namespace email\templates;

use email\helpers\email_template;

class email_template_head
{
    use email_template;

    public function generate_text(): string
    {
        return "";
    }

    public function generate_html(): string
    {
        ob_start();
        # Start of the html
        ?>
        <!-- Styles -->
        <style>
            .email-template {
                width: 100%;
                max-width: 600px;
                margin: 0 auto;
                padding: 20px;
                background-color: #f9f9f9;
                font-family: Arial, sans-serif;
            }

            .email-template h1 {
                color: #333;
            }

            .email-template p {
                color: #333;
            }
        </style>

        <?php
        # End of the html
        return ob_get_clean();
    }
}